debian.org / О Debian Где взять Debian Поддержка Уголок разработчика Новости Wiki

Автор Тема: python 3.6.4 pip Can\'t connect to HTTPS URL because the SSL module is not availa  (Прочитано 1526 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн moreplavatel

  • Местный житель
  • ***
  • Topic Author
  • Сообщений: 215
  • Jabber: moreplavatel@404.city
Ставлю питон из исходников, компиляция проходит вроде без error.
После установки pip ругается на отсутствие модуля ssl.
Spoiler: ShowHide

../python-3.6.4/bin/pip3 search selenium
Exception:
Traceback (most recent call last):
  File "/home/alex/.local/python-3.6.4/lib/python3.6/site-packages/pip/_vendor/requests/adapters.py", line 423, in send
    timeout=timeout
  File "/home/alex/.local/python-3.6.4/lib/python3.6/site-packages/pip/_vendor/requests/packages/urllib3/connectionpool.py", line 583, in urlopen
    conn = self._get_conn(timeout=pool_timeout)
  File "/home/alex/.local/python-3.6.4/lib/python3.6/site-packages/pip/_vendor/requests/packages/urllib3/connectionpool.py", line 257, in _get_conn
    return conn or self._new_conn()
  File "/home/alex/.local/python-3.6.4/lib/python3.6/site-packages/pip/_vendor/requests/packages/urllib3/connectionpool.py", line 808, in _new_conn
    raise SSLError("Can't connect to HTTPS URL because the SSL "
pip._vendor.requests.packages.urllib3.exceptions.SSLError: Can't connect to HTTPS URL because the SSL module is not available.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/alex/.local/python-3.6.4/lib/python3.6/site-packages/pip/basecommand.py", line 215, in main
    status = self.run(options, args)
  File "/home/alex/.local/python-3.6.4/lib/python3.6/site-packages/pip/commands/search.py", line 45, in run
    pypi_hits = self.search(query, options)
  File "/home/alex/.local/python-3.6.4/lib/python3.6/site-packages/pip/commands/search.py", line 62, in search
    hits = pypi.search({'name': query, 'summary': query}, 'or')
  File "/home/alex/.local/python-3.6.4/lib/python3.6/xmlrpc/client.py", line 1112, in __call__
    return self.__send(self.__name, args)
  File "/home/alex/.local/python-3.6.4/lib/python3.6/xmlrpc/client.py", line 1452, in __request
    verbose=self.__verbose
  File "/home/alex/.local/python-3.6.4/lib/python3.6/site-packages/pip/download.py", line 775, in request
    headers=headers, stream=True)
  File "/home/alex/.local/python-3.6.4/lib/python3.6/site-packages/pip/_vendor/requests/sessions.py", line 522, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
  File "/home/alex/.local/python-3.6.4/lib/python3.6/site-packages/pip/download.py", line 386, in request
    return super(PipSession, self).request(method, url, *args, **kwargs)
  File "/home/alex/.local/python-3.6.4/lib/python3.6/site-packages/pip/_vendor/requests/sessions.py", line 475, in request
    resp = self.send(prep, **send_kwargs)
  File "/home/alex/.local/python-3.6.4/lib/python3.6/site-packages/pip/_vendor/requests/sessions.py", line 596, in send
    r = adapter.send(request, **kwargs)
  File "/home/alex/.local/python-3.6.4/lib/python3.6/site-packages/pip/_vendor/cachecontrol/adapter.py", line 47, in send
    resp = super(CacheControlAdapter, self).send(request, **kw)
  File "/home/alex/.local/python-3.6.4/lib/python3.6/site-packages/pip/_vendor/requests/adapters.py", line 497, in send
    raise SSLError(e, request=request)
pip._vendor.requests.exceptions.SSLError: Can't connect to HTTPS URL because the SSL module is not available.


Установелнные пакеты относящиеся к openssl
Spoiler: ShowHide
i A libevent-openssl-2.0-5 - Asynchronous event notification library (openssl)
i A openssl - инструменты протокола защищенных сокетов — криптографческие утилиты
i A perl-openssl-defaults - version compatibility baseline for Perl OpenSSL packages
i A python-openssl - Python 2 wrapper around the OpenSSL library
i  python3-openssl - Python 3 wrapper around the OpenSSL library


Нужно какой то пакет еще доустановить перед сборкой питона?

Cообщение объединено 18 Март 2018, 13:31:04
Нашел.
libssl-dev
Искал до этого grep'ом по openssl, поэтому и не видел подходящего *-dev пакета.
« Последнее редактирование: 18 Март 2018, 13:31:04 от moreplavatel »
 

Русскоязычное сообщество Debian GNU/Linux



Теги:
 

Интерпретатор Python

Автор Vitek

Ответов: 2
Просмотров: 1620
Последний ответ 21 Ноябрь 2012, 06:38:19
от Malaheenee
python 3.7

Автор StepanKirdin

Ответов: 3
Просмотров: 1175
Последний ответ 15 Январь 2019, 11:42:11
от Olej
Помогите разобраться с Python скриптом

Автор studio2

Ответов: 16
Просмотров: 2234
Последний ответ 29 Январь 2016, 19:00:35
от vic5710
[Решено] Python не обновляется до 3+ версии

Автор Fieryx

Ответов: 6
Просмотров: 1515
Последний ответ 09 Октябрь 2013, 00:38:33
от Olej
Установка python 3.5.1

Автор Joe Black

Ответов: 7
Просмотров: 1317
Последний ответ 16 Февраль 2017, 16:12:21
от alsoijw